« それ、マクロにすりゃいいのに! -Excelマクロ VBAのお話し。- | トップページ | 懐かしい! Windows File ManagerがMicrosoft Storeに! »

2019年2月 5日 (火)

Linux Mint 19でMinitubeが動作しない(Error transferringとなる)。

Screenshot_from_20190205_161914

 

2020/05/28追記:

現在(2020/05/28)、Minitubeを使用する場合、Personal Youtube API Key組み込んでMinitubeを自分でビルドする必要があります。

詳細は、以下の記事を参照下さい。

Linux Mint 19.3 に Minitube 3.2 をインストールする方法 ーError transferring メッセージへの対処方法ー

Kodi(OSMC,LibreELEC) YouTubeアドオンが動作しない問題 ーPersonal Youtube API Keyの設定方法ー

 

 

先日、Linux Mintをwine 4.0の調査にて
OSをクリーンインストールしてしまったため、

 

今日は、メール(Thunderbird)やTwitter(Corebird)、
インターネットラジオ(Gradio)等のアプリをインストールして
環境を整えることに。

 

でだ、

 

YouTubeアプリであるMinitubeを「ソフトウェアの管理」から
インストールして起動すると

 

Error transferring https://www.googleapis.com/youtube/v3/search?key=...

 

のメッセージが出力されて動作しない。(動画が観れない。)?!

 

ググってみると。。。
どうやら、公式サイトから最新のDebianパッケージをインストールすれば良いらしいとのこと。

 

そこで、公式サイトからminitube.debをダウンロードし、

 

$sudo dpkg -i ~/ダウンロード/minitube.deb

 

を実行するも、なんか依存関係のエラーが発生します。???

 

さらにググって調べると以下のパッケージが必要らしい。

 

$sudo aptitude update
$sudo aptitude install libqt4-sql-sqlite phonon

 

このパッケージをインストールした後、再度

 

$sudo dpkg -i ~/ダウンロード/minitube.deb

 

を実行!
が、
以下のライブラリがインストールされていない旨のエラーが???

 

libqt5qml5
libqt5sql5
libqt5sql5-sqlite
phonon4qt5
libphonon4qt5-4
phonon4qt5-backend-gstreamer

 

そこで、

 

$sudo apt-get install libqt5qml5 libqt5sql5 libqt5sql5-sqlite phonon4qt5 libphonon4qt5-4 phonon4qt5-backend-gstreamer

 

を。

 

ダメです。'apt --fix-broken install'を実行しろ!と怒られました。

 

なので、

 

$sudo apt --fix-broken install

 

を実行したところ。。。そんなコマンドはねぇよ!と再度怒られる結果に???

 

なして?!

 

 

ubuntuのフォーラムを見ると。。。

 

ふむふむ。。。

 

$sudo apt-get -f install

 

。。。

 

Screenshot_from_20190205_173036

 

Screenshot_from_20190205_162015

 

動きました。(v^ー゜)ヤッタネ!!

 

今日は、確定申告の書類を書こうと思っていたのに。。。
えれぇ、問題解決までに時間をかけてしまった。

 

確定申告の書類は、明日にしよーーーーっと。(ダメ人間の行動パターンやね。)

 

 

« それ、マクロにすりゃいいのに! -Excelマクロ VBAのお話し。- | トップページ | 懐かしい! Windows File ManagerがMicrosoft Storeに! »

パソコン・インターネット」カテゴリの記事

コメント

Ubuntu 18.04.2LTSにて 完全復旧しました。ありがとうございました。

お役に立ててなりよりです。これからもよろしくお願いします。m(_ _)m

自分はUbuntu Budgieを20.04に上げたところでこのページ参照させてもらいました。debファイルのinstall前にこちらに記載の「$sudo apt-get install libqt5qml5 libqt5sql5 libqt5sql5-sqlite phonon4qt5 libphonon4qt5-4 phonon4qt5-backend-gstreamer」と(ちなみにエラーは出ません)、https://github.com/flaviotordini/minitube のInstructionに記載の「$ sudo apt install build-essential qt5-default qttools5-dev-tools qt5-qmake qtdeclarative5-dev libqt5sql5-sqlite libqt5x11extras5-dev libmpv-dev」を両方ほどこして、ようやく正常に動きました

smallpamさん。コメントありがとうございます。
参考にさせていただきます。
今後ともよろしくお願いします。

コメントを書く

(ウェブ上には掲載しません)

トラックバック


この記事へのトラックバック一覧です: Linux Mint 19でMinitubeが動作しない(Error transferringとなる)。:

« それ、マクロにすりゃいいのに! -Excelマクロ VBAのお話し。- | トップページ | 懐かしい! Windows File ManagerがMicrosoft Storeに! »

フォト
無料ブログはココログ

bigmoroの関連リンク